Yafaray not working in Blender 2.71

Project:YafaRay
Component:Blender Exporter
Category:bug report
Priority:critical
Assigned:David Bluecame
Status:closed
Description

I am running Blender 2.71 on Windows 7 (4gb RAM) and trying to install and invoke Yafaray 0.1.5. I receive errors when attempting to do so. First, the error screen when I attempt to select Yafaray as a render option under the User Preferences window:

And this is the error I get when I attempt to remove Yafaray:

 

This did not appear to be an issue in Blender 2.67. I do not know if it is a Yafaray issue or a Blender issue, but the bug will be reported for both applications.

Comments

#1

Same here on Surface Pro Win 8.1 blender 2.71.
Was working on 2.7a.

Is working on OS X blender 2.71.

#2

I've got the same problem unfortunately :(

And luxrender got the same problem too.

I think it's the new blender release that got problem.

#3

Version:»
Priority:normal» critical

I too am experiencing the same issue with 2.71. Help in resolving this issue would be extremely appreciated.

#4

The first screen is because Blender 2.71 uses Python 3.4 and conflicts with 3.3.

I tried to compile the master version from git repository yesterday - Core compiled OK, with Python 3.4. Well, I had to add "-fPIC" into compile options. Problems were with Blender Exporter, there were some errors like "cannot find interface yafaray", "and could not find prop in 'from . import prop'". I'm planning to look more into it and inspire from Luxblend (1.3.1), which works good.

#5

Thanks zajostorm. It's also interesting that it works fine on OSX. Maybe blender for OSX is still on python 3.3?

#6

My error message is even shorter (but same issue: Yafaray won't work in Blender 2.71):

AttachmentSize
blender271_yafaray.jpg 39.5 KB

Blender 2.73
Yafaray 1.5.0
Windows 7/8.1 x64

#7

Assigned to:Anonymous» DarkTide
Status:active» needs work

I'll be checking the issue and will post fix as soon as i can

Just Vampires Playing To Be Mortals...
---------{--<@

#8

Hi,

same here.

Windows7, Blender 2.71, Yafaray 0.1.5 from http://www.graphicall.org/megasoft78 (9744_yafaray-win64.zip)

AttachmentSize
2014-09-16 17_48_10-Blender User Preferences.jpg 18.54 KB

#9

Hi guys, here is a Win x64 version that should run on Blender 2.71 and 2.72b, please test and let me know...

http://yafaray.dsvs.mx/yafaray.zip

Just Vampires Playing To Be Mortals...
---------{--<@

#10

Hola, no funciona sobre Windows 8 64b, con las versiones, 2.71 y 2.72b. Blender simplemente deja de funcionar y se cierra.

 

#11

Version:»
Assigned to:DarkTide» Anonymous
Status:needs work» active

Bump, yafaray plug-in doesn't work with blender 2.73. I'm running Win8.1 x64. Blender just crashes when I hit the "render image" button.

#12

Hi all,

I am trying to isolate the plugins folder and it seems that the problem comes from there.

With the plugins folder inside the bin, \bin\plugins, blender 2.72/2.72b or 2.73 under Win 8 crashes.

I can see from the console that yafaray is starting but plugins are not registering so then it crashes Blender.

 

Without the plugins, Blender is Ok with the Yafaray working but without the render image since the plugins are not isolated.

 

But when I run yafaray in standalone mode with the plugins, all plugins are registered and working good inside the bin\plugins.

Not really sure if this is a Win 8 bug or Python 3.4 compilation linked to the plugins dlls.

 

My 2 cents for bug fixing.

Thanks,

3djkk

AttachmentSize
yaf00.jpg 127.18 KB
yaf01.jpg 119.3 KB
yaf02.jpg 132.89 KB

#13

Assigned to:Anonymous» David Bluecame

Hello,

I have prepared a beta unofficial build of the latest Git version of YafaRay v0.1.5 that I have tested in Windows 7 (64 bits) and Windows 8.1 (64 bits) with Blender 2.73. Please try it and let us know if it works for you:

 

https://github.com/DavidBluecame/YafaRay---unofficial-Builds/blob/master/YafaRay%20v0.1.5%20-%20unofficial%20build%202015-03-22-beta1%20for%20Blender%202.73-Windows%207-8.1%2064bit.zip?raw=true

 

To install it, please read the README file. You will probably have to copy two dll files to the main Blender folder or it will complain of missing DLLs.

 

An example of Blender 2.73 in Windows 8.1 (64 bits):

example of Yafaray 0.1.5 with Blender 2.73 Windows 8.1 64 bit.png

 

I hope it helps. Best regards!

David Bluecame.

#14

Hello,

 

I have prepared another build of YafaRay v0.1.5 for Windows XP SP3, Windows 7 and Windows 8.1 (32 bits versions). I tested in the 3 operating systems and it seems to be working.

 

https://github.com/DavidBluecame/YafaRay---unofficial-Builds/raw/master/...

 

I hope it helps. Please let me know how it works for you!

#15

Hello,

New Beta2 version for both 32bit and 64bit versions of the Exporter.

There are no changes in the exporter itself. The only change is that it's no longer needed to copy manually any DLL to the main Blender folder. However in the 32bit version you still need to copy a file to a Blender 2.73 (32bit) subdirectory (see below)

If you installed before the "beta1" versions and you want to use these new "beta2" versions then you can delete the files libstdc++-6.dll and libwinpthread-1.dll from the main Blender folder that were needed by beta1. Please let us know if these beta2 versions still work fine for you.

 

Blender Exporter for Blender 2.73 (Windows XP-SP3, Windows 7 and Windows 8.1 32 bits):

https://github.com/DavidBluecame/YafaRay---unofficial-Builds/raw/master/...

==IMPORTANT== Blender 2.73 32bits has an issue with a missing file _ctypes.pyd in Blender\2.73\python\lib You need to copy manually the file to that folder so it works with external renderers. Follow the instructions into "yafaray\README" file

 

Blender Exporter for Blender 2.73 (Windows 7 and Windows 8.1 64 bits):

https://github.com/DavidBluecame/YafaRay---unofficial-Builds/raw/master/...

 

I hope it helps. Please let us know if it works for you or if you have any problems.

Best regards. David.

#16

Status:active» fixed

I think with all the new available beta builds, this can be considered fixed.

I still need to work on builds for Linux, EXR problem in Windows 32bits, updating dependencies, etc, but the current versions of YafaRay can work with Blender 2.74.

Now we will continue this as part of the normal building creation process...

#17

Status:fixed» closed

Closed -- issue fixed for 2 weeks with no activity.